# SalesChannelFailedIntegrations

## Retrieve Sales Failed Integration by ID

> Retrieve a specific Sales Channel Failed Integration by ID

```json
{"openapi":"3.0.3","info":{"title":"Omnitron API","version":"1.0.0"},"security":[{"Token":[]}],"components":{"securitySchemes":{"Token":{"type":"apiKey","in":"header","name":"Authorization"}},"parameters":{"channel_path":{"name":"channel_id","in":"path","description":"The channel ID of the resource.","required":true,"schema":{"type":"integer"}},"id_path":{"name":"id","in":"path","description":"Unique identifier of the resource","required":true,"schema":{"type":"integer"}}},"schemas":{"FailedIntegration":{"type":"object","properties":{"pk":{"type":"integer","description":"Unique identifier for the failed integration","readOnly":true},"channel":{"type":"integer","description":"Foreign key to Channel model"},"version_date":{"type":"string","format":"date-time","description":"Version date of the integration attempt (indexed)"},"reason_type":{"type":"string","enum":["mapping","remote","channel_app"],"description":"Type of reason for failure","maxLength":15},"is_active":{"type":"boolean","description":"Whether the failed integration is active","default":true},"content_type":{"type":"integer","description":"Foreign key to ContentType model for polymorphic relationship"},"object_id":{"type":"integer","description":"ID of the related object"},"expiration_date":{"type":"string","format":"date-time","description":"Date when the failed integration record expires","nullable":true},"retry_count":{"type":"integer","description":"Number of retry attempts made","default":1,"minimum":0},"max_retry_count":{"type":"integer","description":"Maximum number of retry attempts allowed","default":1,"minimum":0},"retry_interval":{"type":"integer","description":"Interval between retry attempts in seconds","default":0,"minimum":0},"integration_action":{"type":"integer","description":"Foreign key to IntegrationAction model","nullable":true},"log_id":{"type":"integer","description":"ID reference to related log entry","nullable":true}},"required":["channel","version_date","reason_type","content_type","object_id"]}},"responses":{"401":{"description":"Unauthorized Access","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"type":"string","description":"Contains a detailed description of the error."},"code":{"type":"string","description":"Represents the server-side error code."}}}}}},"404":{"description":"The given resource or object was not found or does not exist.","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"description":"Contains a detailed description of the error.","type":"string"}}}}}},"500":{"description":"Server Error"}}},"paths":{"/api/v1/channel/{channel_id}/failed_integrations/{id}/":{"get":{"summary":"Retrieve Sales Failed Integration by ID","description":"Retrieve a specific Sales Channel Failed Integration by ID","tags":["SalesChannelFailedIntegrations"],"parameters":[{"$ref":"#/components/parameters/channel_path"},{"$ref":"#/components/parameters/id_path"}],"responses":{"200":{"description":"Sales Channel Failed Integration retrieved successfully","content":{"application/json":{"schema":{"type":"object","$ref":"#/components/schemas/FailedIntegration"}}}},"401":{"$ref":"#/components/responses/401"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}}}}
```

## Update Sales Channel Failed Integration

> Update a specific Sales Channel Failed Integration by ID

```json
{"openapi":"3.0.3","info":{"title":"Omnitron API","version":"1.0.0"},"security":[{"Token":[]}],"components":{"securitySchemes":{"Token":{"type":"apiKey","in":"header","name":"Authorization"}},"parameters":{"channel_path":{"name":"channel_id","in":"path","description":"The channel ID of the resource.","required":true,"schema":{"type":"integer"}},"id_path":{"name":"id","in":"path","description":"Unique identifier of the resource","required":true,"schema":{"type":"integer"}}},"schemas":{"FailedIntegration":{"type":"object","properties":{"pk":{"type":"integer","description":"Unique identifier for the failed integration","readOnly":true},"channel":{"type":"integer","description":"Foreign key to Channel model"},"version_date":{"type":"string","format":"date-time","description":"Version date of the integration attempt (indexed)"},"reason_type":{"type":"string","enum":["mapping","remote","channel_app"],"description":"Type of reason for failure","maxLength":15},"is_active":{"type":"boolean","description":"Whether the failed integration is active","default":true},"content_type":{"type":"integer","description":"Foreign key to ContentType model for polymorphic relationship"},"object_id":{"type":"integer","description":"ID of the related object"},"expiration_date":{"type":"string","format":"date-time","description":"Date when the failed integration record expires","nullable":true},"retry_count":{"type":"integer","description":"Number of retry attempts made","default":1,"minimum":0},"max_retry_count":{"type":"integer","description":"Maximum number of retry attempts allowed","default":1,"minimum":0},"retry_interval":{"type":"integer","description":"Interval between retry attempts in seconds","default":0,"minimum":0},"integration_action":{"type":"integer","description":"Foreign key to IntegrationAction model","nullable":true},"log_id":{"type":"integer","description":"ID reference to related log entry","nullable":true}},"required":["channel","version_date","reason_type","content_type","object_id"]}},"responses":{"401":{"description":"Unauthorized Access","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"type":"string","description":"Contains a detailed description of the error."},"code":{"type":"string","description":"Represents the server-side error code."}}}}}},"404":{"description":"The given resource or object was not found or does not exist.","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"description":"Contains a detailed description of the error.","type":"string"}}}}}},"500":{"description":"Server Error"}}},"paths":{"/api/v1/channel/{channel_id}/failed_integrations/{id}/":{"put":{"summary":"Update Sales Channel Failed Integration","description":"Update a specific Sales Channel Failed Integration by ID","tags":["SalesChannelFailedIntegrations"],"parameters":[{"$ref":"#/components/parameters/channel_path"},{"$ref":"#/components/parameters/id_path"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FailedIntegration"}}}},"responses":{"200":{"description":"Sales Channel Failed Integration updated"},"401":{"$ref":"#/components/responses/401"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}}}}
```

## Delete Sales Channel Failed Integration

> Delete Sales Channel Failed Integration for a specific channel.

```json
{"openapi":"3.0.3","info":{"title":"Omnitron API","version":"1.0.0"},"security":[{"Token":[]}],"components":{"securitySchemes":{"Token":{"type":"apiKey","in":"header","name":"Authorization"}},"parameters":{"channel_path":{"name":"channel_id","in":"path","description":"The channel ID of the resource.","required":true,"schema":{"type":"integer"}},"id_path":{"name":"id","in":"path","description":"Unique identifier of the resource","required":true,"schema":{"type":"integer"}}},"responses":{"401":{"description":"Unauthorized Access","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"type":"string","description":"Contains a detailed description of the error."},"code":{"type":"string","description":"Represents the server-side error code."}}}}}},"404":{"description":"The given resource or object was not found or does not exist.","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"description":"Contains a detailed description of the error.","type":"string"}}}}}},"500":{"description":"Server Error"}}},"paths":{"/api/v1/channel/{channel_id}/failed_integrations/{id}/":{"delete":{"summary":"Delete Sales Channel Failed Integration","description":"Delete Sales Channel Failed Integration for a specific channel.","tags":["SalesChannelFailedIntegrations"],"parameters":[{"$ref":"#/components/parameters/channel_path"},{"$ref":"#/components/parameters/id_path"}],"responses":{"204":{"description":"Sales Channel Failed Integration deleted successfully"},"401":{"$ref":"#/components/responses/401"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}}}}
```

## Partial Update Sales Channel Failed Integration

> Partial update a specific Sales Channel Failed Integration by ID

```json
{"openapi":"3.0.3","info":{"title":"Omnitron API","version":"1.0.0"},"security":[{"Token":[]}],"components":{"securitySchemes":{"Token":{"type":"apiKey","in":"header","name":"Authorization"}},"parameters":{"channel_path":{"name":"channel_id","in":"path","description":"The channel ID of the resource.","required":true,"schema":{"type":"integer"}},"id_path":{"name":"id","in":"path","description":"Unique identifier of the resource","required":true,"schema":{"type":"integer"}}},"schemas":{"FailedIntegration":{"type":"object","properties":{"pk":{"type":"integer","description":"Unique identifier for the failed integration","readOnly":true},"channel":{"type":"integer","description":"Foreign key to Channel model"},"version_date":{"type":"string","format":"date-time","description":"Version date of the integration attempt (indexed)"},"reason_type":{"type":"string","enum":["mapping","remote","channel_app"],"description":"Type of reason for failure","maxLength":15},"is_active":{"type":"boolean","description":"Whether the failed integration is active","default":true},"content_type":{"type":"integer","description":"Foreign key to ContentType model for polymorphic relationship"},"object_id":{"type":"integer","description":"ID of the related object"},"expiration_date":{"type":"string","format":"date-time","description":"Date when the failed integration record expires","nullable":true},"retry_count":{"type":"integer","description":"Number of retry attempts made","default":1,"minimum":0},"max_retry_count":{"type":"integer","description":"Maximum number of retry attempts allowed","default":1,"minimum":0},"retry_interval":{"type":"integer","description":"Interval between retry attempts in seconds","default":0,"minimum":0},"integration_action":{"type":"integer","description":"Foreign key to IntegrationAction model","nullable":true},"log_id":{"type":"integer","description":"ID reference to related log entry","nullable":true}},"required":["channel","version_date","reason_type","content_type","object_id"]}},"responses":{"401":{"description":"Unauthorized Access","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"type":"string","description":"Contains a detailed description of the error."},"code":{"type":"string","description":"Represents the server-side error code."}}}}}},"404":{"description":"The given resource or object was not found or does not exist.","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"description":"Contains a detailed description of the error.","type":"string"}}}}}},"500":{"description":"Server Error"}}},"paths":{"/api/v1/channel/{channel_id}/failed_integrations/{id}/":{"patch":{"summary":"Partial Update Sales Channel Failed Integration","description":"Partial update a specific Sales Channel Failed Integration by ID","tags":["SalesChannelFailedIntegrations"],"parameters":[{"$ref":"#/components/parameters/channel_path"},{"$ref":"#/components/parameters/id_path"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FailedIntegration"}}}},"responses":{"200":{"description":"Sales Channel Failed Integration updated"},"401":{"$ref":"#/components/responses/401"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}}}}
```

## List Sales Channel Failed Integrations

> List Sales Channel Failed Integrations

```json
{"openapi":"3.0.3","info":{"title":"Omnitron API","version":"1.0.0"},"security":[{"Token":[]}],"components":{"securitySchemes":{"Token":{"type":"apiKey","in":"header","name":"Authorization"}},"parameters":{"channel_path":{"name":"channel_id","in":"path","description":"The channel ID of the resource.","required":true,"schema":{"type":"integer"}},"page":{"name":"page","in":"query","required":false,"description":"Specifies the page number of the current dataset","schema":{"type":"integer","minimum":1,"default":1}},"limit":{"name":"limit","in":"query","required":false,"description":"Indicates the number of rows on the current page.","schema":{"type":"integer","minimum":1,"default":10}},"channel":{"name":"channel","in":"query","description":"ID of the channel the customer belongs to","required":false,"schema":{"type":"integer"}}},"schemas":{"FailedIntegration":{"type":"object","properties":{"pk":{"type":"integer","description":"Unique identifier for the failed integration","readOnly":true},"channel":{"type":"integer","description":"Foreign key to Channel model"},"version_date":{"type":"string","format":"date-time","description":"Version date of the integration attempt (indexed)"},"reason_type":{"type":"string","enum":["mapping","remote","channel_app"],"description":"Type of reason for failure","maxLength":15},"is_active":{"type":"boolean","description":"Whether the failed integration is active","default":true},"content_type":{"type":"integer","description":"Foreign key to ContentType model for polymorphic relationship"},"object_id":{"type":"integer","description":"ID of the related object"},"expiration_date":{"type":"string","format":"date-time","description":"Date when the failed integration record expires","nullable":true},"retry_count":{"type":"integer","description":"Number of retry attempts made","default":1,"minimum":0},"max_retry_count":{"type":"integer","description":"Maximum number of retry attempts allowed","default":1,"minimum":0},"retry_interval":{"type":"integer","description":"Interval between retry attempts in seconds","default":0,"minimum":0},"integration_action":{"type":"integer","description":"Foreign key to IntegrationAction model","nullable":true},"log_id":{"type":"integer","description":"ID reference to related log entry","nullable":true}},"required":["channel","version_date","reason_type","content_type","object_id"]}},"responses":{"401":{"description":"Unauthorized Access","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"type":"string","description":"Contains a detailed description of the error."},"code":{"type":"string","description":"Represents the server-side error code."}}}}}},"404":{"description":"The given resource or object was not found or does not exist.","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"description":"Contains a detailed description of the error.","type":"string"}}}}}},"500":{"description":"Server Error"}}},"paths":{"/api/v1/channel/{channel_id}/failed_integrations/":{"get":{"summary":"List Sales Channel Failed Integrations","description":"List Sales Channel Failed Integrations","tags":["SalesChannelFailedIntegrations"],"parameters":[{"$ref":"#/components/parameters/channel_path"},{"$ref":"#/components/parameters/page"},{"$ref":"#/components/parameters/limit"},{"$ref":"#/components/parameters/channel"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"count":{"type":"integer"},"next":{"type":"string","description":"Next page URL","nullable":true},"previous":{"type":"string","description":"Previous page URL","nullable":true},"results":{"type":"array","items":{"$ref":"#/components/schemas/FailedIntegration"}}}}}}},"401":{"$ref":"#/components/responses/401"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}}}}
```

## Create Sales Channel Failed Integration

> Create Sales Channel Failed Integration for a specific channel.

```json
{"openapi":"3.0.3","info":{"title":"Omnitron API","version":"1.0.0"},"security":[{"Token":[]}],"components":{"securitySchemes":{"Token":{"type":"apiKey","in":"header","name":"Authorization"}},"parameters":{"channel_path":{"name":"channel_id","in":"path","description":"The channel ID of the resource.","required":true,"schema":{"type":"integer"}}},"schemas":{"FailedIntegration":{"type":"object","properties":{"pk":{"type":"integer","description":"Unique identifier for the failed integration","readOnly":true},"channel":{"type":"integer","description":"Foreign key to Channel model"},"version_date":{"type":"string","format":"date-time","description":"Version date of the integration attempt (indexed)"},"reason_type":{"type":"string","enum":["mapping","remote","channel_app"],"description":"Type of reason for failure","maxLength":15},"is_active":{"type":"boolean","description":"Whether the failed integration is active","default":true},"content_type":{"type":"integer","description":"Foreign key to ContentType model for polymorphic relationship"},"object_id":{"type":"integer","description":"ID of the related object"},"expiration_date":{"type":"string","format":"date-time","description":"Date when the failed integration record expires","nullable":true},"retry_count":{"type":"integer","description":"Number of retry attempts made","default":1,"minimum":0},"max_retry_count":{"type":"integer","description":"Maximum number of retry attempts allowed","default":1,"minimum":0},"retry_interval":{"type":"integer","description":"Interval between retry attempts in seconds","default":0,"minimum":0},"integration_action":{"type":"integer","description":"Foreign key to IntegrationAction model","nullable":true},"log_id":{"type":"integer","description":"ID reference to related log entry","nullable":true}},"required":["channel","version_date","reason_type","content_type","object_id"]}},"responses":{"401":{"description":"Unauthorized Access","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"type":"string","description":"Contains a detailed description of the error."},"code":{"type":"string","description":"Represents the server-side error code."}}}}}},"404":{"description":"The given resource or object was not found or does not exist.","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"description":"Contains a detailed description of the error.","type":"string"}}}}}},"500":{"description":"Server Error"}}},"paths":{"/api/v1/channel/{channel_id}/failed_integrations/":{"post":{"summary":"Create Sales Channel Failed Integration","description":"Create Sales Channel Failed Integration for a specific channel.","tags":["SalesChannelFailedIntegrations"],"parameters":[{"$ref":"#/components/parameters/channel_path"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FailedIntegration"}}}},"responses":{"201":{"description":"Failed Integration Created","content":{"application/json":{"schema":{"type":"object","$ref":"#/components/schemas/FailedIntegration"}}}},"401":{"$ref":"#/components/responses/401"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs.akinon.com/omnitron-openapis/saleschannelfailedintegrations.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
